Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000134Core InformAssertions and creationspublic2010-06-27 01:322010-10-28 00:30
Reporterfarvardin 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6E59 
Target VersionFixed in Version6F95 
Summary0000134: conditions with multiple "when" don't work anymore
DescriptionIn 5Z71 it was possible to write several "when" for expressing a rule with multiple conditions.

for example:
"Instead of exiting when the location is lounge and when Rob is in location, say ..."

Having multiple "when" was helping for intellectually separating the different conditions. Since 6E59, when using this kind of syntax, we get those errors:

"Problem. In the sentence 'Instead of exiting when the location is lounge and when Rob is in location' , it looks as if you intend 'when Rob is in location' to be a condition, but that would mean applying the containment relation (between an object and an object) to kinds of value which do not fit - something unrecognised and an object - so this must be incorrect. Problem. You wrote 'Instead of exiting when the location is lounge and when Rob is in location' , which seems to introduce a rule taking effect only 'when the location is lounge and when Rob is in location'. But this condition did not make sense, so I am unable to accept this rule. "

The code must be written like this now: "Instead of exiting when the location is lounge and Rob is in location, say..."

if you intented to remove this syntax, the error message could be more clear, such as "you can't use two whens in conjunction."

On the other hand, having multiple "when" make the source code more readable in my opinion.

Minimal Source Text To Reproduce
Lounge is a room.
Rob is a man in lounge.

Instead of exiting when the location is lounge and when Rob is in location, say "It wouldn't be 
polite to leave now.".
Additional Informationissue discussed there on the forum: http://www.intfiction.org/forum/viewtopic.php?f=7&t=1187 [^]
Tagsconditions, conjunction, when
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000469)
graham (administrator)
2010-08-31 12:27

A better form of this problem message has been added to catch this case and give a clearer explanation of it.

- Issue History
Date Modified Username Field Change
2010-06-27 01:32 farvardin New Issue
2010-06-27 01:32 farvardin Tag Attached: conditions
2010-06-27 01:32 farvardin Tag Attached: conjunction
2010-06-27 01:32 farvardin Tag Attached: when
2010-06-27 02:11 jmcgrew Priority low => normal
2010-06-27 02:11 jmcgrew Status new => acknowledged
2010-06-27 02:11 jmcgrew OS any =>
2010-06-27 02:11 jmcgrew OS Version any =>
2010-06-28 13:03 EmacsUser Status acknowledged => confirmed
2010-08-31 12:27 graham Note Added: 0000469
2010-08-31 12:27 graham Status confirmed => resolved
2010-08-31 12:27 graham Resolution open => fixed
2010-08-31 12:27 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker